<template>
    <div v-if="links.length > 3">
        <div
            class="pagination pagination-sm m-0 float-right"
            style="float: right"
        >
            <template v-for="(link, key) in links" :key="key">
                <div
                    v-if="link.url === null"
                    :key="key"
                    class="page-link"
                    v-html="link.label"
                />
                <Link
                    v-else
                    class="page-link"
                    :class="{ 'bg-dark text-white': link.active }"
                    href="#"
                    v-html="link.label"
                    preserve-state
                    :data="data"
                    @click="$emit('paginationChange', link.label)"
                >
                </Link>
            </template>
        </div>
    </div>
</template>

<script>
import { Head, Link } from "@inertiajs/inertia-vue3";
export default {
    props: {
        links: Array,
        data: Object,
    },
    components: {
        Head,
        Link,
    },
};
</script>
